Skip to content

Tags

All operations require authentication.

5 operationsv1/me/tag
Agent setup

Retrieve customer tags listBeta

GET
/1.0/me/tag

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/tag \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Activate customer tagBeta

POST
/1.0/me/tag

Request body (required)

reason
string

Reason

tagName
required
string

Tag name

Response

200Tagsuccessful operation
creationDate
read-only
stringdate-time

Creation date

customerCode
read-only
string

Customer code

expirationDate
read-only
stringdate-time

Expiration date

extra
read-only
TagExtra

Extra data

lastUpdate
read-only
stringdate-time

Last update

status
read-only
StatusEnum

Tag Status

ValuesCREATEDCREATINGDELETEDDELETINGERRORMODERATINGREFUSEDREFUSINGREVOCATINGWAIT_MODERATIONWAIT_REVOCATION
tag
read-only
string

Tag name

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/tag \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "customerCode": "string", "expirationDate": "2024-01-01T12:00:00Z", "extra": { "exemption": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "status": "CREATED", "tag": "string"}

Retrieve all available tagsBeta

GET
/1.0/me/tag/available

Response

200AvailableTag[]successful operation
keys
read-only
TagKey[]

Tag configuration keys

name
read-only
string

Tag name

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/tag/available \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "keys": [ { "enum": [ "string" ], "key": "string", "maxLength": 0, "minValue": 0, "optional": true, "pattern": "string", "type": "ARRAY" } ], "name": "string" }]

Retrieve a customer tagBeta

GET
/1.0/me/tag/{tag}

Path parameters

tag
required
string

Tag

Response

200Tagsuccessful operation
creationDate
read-only
stringdate-time

Creation date

customerCode
read-only
string

Customer code

expirationDate
read-only
stringdate-time

Expiration date

extra
read-only
TagExtra

Extra data

lastUpdate
read-only
stringdate-time

Last update

status
read-only
StatusEnum

Tag Status

ValuesCREATEDCREATINGDELETEDDELETINGERRORMODERATINGREFUSEDREFUSINGREVOCATINGWAIT_MODERATIONWAIT_REVOCATION
tag
read-only
string

Tag name

Example uses tag = string

$ curl https://api.eu.ovhcloud.com/1.0/me/tag/{tag} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "customerCode": "string", "expirationDate": "2024-01-01T12:00:00Z", "extra": { "exemption": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "status": "CREATED", "tag": "string"}

Delete a customer tagBeta

DELETE
/1.0/me/tag/{tag}

Path parameters

tag
required
string

Tag

Response

200Tagsuccessful operation
creationDate
read-only
stringdate-time

Creation date

customerCode
read-only
string

Customer code

expirationDate
read-only
stringdate-time

Expiration date

extra
read-only
TagExtra

Extra data

lastUpdate
read-only
stringdate-time

Last update

status
read-only
StatusEnum

Tag Status

ValuesCREATEDCREATINGDELETEDDELETINGERRORMODERATINGREFUSEDREFUSINGREVOCATINGWAIT_MODERATIONWAIT_REVOCATION
tag
read-only
string

Tag name

Example uses tag = string

$ curl https://api.eu.ovhcloud.com/1.0/me/tag/{tag} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "customerCode": "string", "expirationDate": "2024-01-01T12:00:00Z", "extra": { "exemption": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "status": "CREATED", "tag": "string"}